High Priest Sylvain:
To become an Elven Oracle, you must pass the Test of the Elven Oracle and bring back the Leaf of the Oracle as proof of your accomplishment. Priest Manuel, of our temple, has taught Oracles for a long time. He is in charge of the Test of the Elven Oracle. If you want to know more about the test, visit Priest Manuel.
The town of Gludio is northwest of here. Priest Manuel will be in the temple, which is located in the northern part of the town.
Return